import Chart from "../core.js";
import { Users } from "../../../models/index.js";
import { name, schema } from "./entities/per-user-reactions.js";
/**
 * ユーザーごとのリアクションに関するチャート
 */ export default class PerUserReactionsChart extends Chart {
    constructor(){
        super(name, schema, true);
    }
    async tickMajor(group) {
        return {};
    }
    async tickMinor() {
        return {};
    }
    async update(user, note) {
        const prefix = Users.isLocalUser(user) ? "local" : "remote";
        this.commit({
            [`${prefix}.count`]: 1
        }, note.userId);
    }
}
